shellCommand = Turbine.ShellCommand()
function shellCommand:Execute(command, args)
	if args=="" then
		Turbine.Shell.WriteLine("Gambit Helper: Available commands:")
		Turbine.Shell.WriteLine("/gh showall: Show all gambits.")
		Turbine.Shell.WriteLine("/gh rebuild: Rebuilds available gambits.")
		Turbine.Shell.WriteLine("/gh reset: Resets default positions.")
		Turbine.Shell.WriteLine("/gh ooc: Toggle out of combat visibility.")
	end
	
	-- showall
	if args=="showall" then
		_ghData.showall=not(_ghData.showall)
		if _ghData.showall then
			Turbine.Shell.WriteLine("Gambit Helper: All gambits are now visible.")
		else
			Turbine.Shell.WriteLine("Gambit Helper: Only known gambit are now visible.")
		end
		FilterGambitList()
		UpdateDisplay()
	end
	
	-- reset
	if args=="reset" then
		local _displayWidth, _displayHeight = Turbine.UI.Display.GetSize();
		local _centerX = _displayWidth/2;
		local _centerY = _displayHeight/2;
		GambitWindow1:SetPosition(_centerX-360,_centerY-100)
		GambitWindow2:SetPosition(_centerX+180,_centerY-100)
	end
	
	--rebuild
	if args=="rebuild" then
		FilterGambitList()
		UpdateDisplay()
		Turbine.Shell.WriteLine("Gambit Helper: List of gambits refreshed.")
	end

	--ooc visibility
	if args=="ooc" then
		_ghData.ooc_visibility=not(_ghData.ooc_visibility)
		GambitWindow1:SetVisible (_ghData.ooc_visibility)
		GambitWindow2:SetVisible (_ghData.ooc_visibility)
		if _ghData.ooc_visibility then
			Turbine.Shell.WriteLine("Gambit Helper: OOC Visibility is now set ON.")
		else
			Turbine.Shell.WriteLine("Gambit Helper: OOC Visibility is now set OFF.")
		end
	end	
end
Turbine.Shell.AddCommand('gh', shellCommand)